-- MERCHANT_SHOW
function(allstates, e)
    if (GetMerchantNumItems() > 0) then
        aura_env.allstates = allstates

        if CanMerchantRepair() == true then RepairAllItems() end

        for container = 0, 4 do
            for slot = 1, GetContainerNumSlots(container) do
                aura_env.FilterService.Run(container, slot)
            end
        end
        return true
    end
end
